using System;
using System.Data;
using System.Text;
using System.Data.SqlClient;
using RMYY_CallCenter_Api.DB;

namespace RMYY_CallCenter_Api.Dal
{
    /// <summary>
    /// 数据访问类:T_Sys_SeatGroup
    /// </summary>
    public partial class T_Sys_SeatGroup
    {
        public T_Sys_SeatGroup()
        { }
        #region  BasicMethod


        /// <summary>
        /// 增加一条数据
        /// </summary>
        public int Add(RMYY_CallCenter_Api.Model.T_Sys_SeatGroup model)
        {
            StringBuilder strSql = new StringBuilder();
            strSql.Append("insert into T_Sys_SeatGroup(");
            strSql.Append("F_ZXZCode,F_ZXZName,F_IVRKey,F_WHBDKey,F_WHWDKey,F_ZXAtt,F_Des,F_CreateTime,F_CreateUser)");
            strSql.Append(" values (");
            strSql.Append("@F_ZXZCode,@F_ZXZName,@F_IVRKey,@F_WHBDKey,@F_WHWDKey,@F_ZXAtt,@F_Des,@F_CreateTime,@F_CreateUser)");
            strSql.Append(";select @@IDENTITY");
            SqlParameter[] parameters = {
                    new SqlParameter("@F_ZXZCode", SqlDbType.NVarChar,50),
                    new SqlParameter("@F_ZXZName", SqlDbType.NVarChar,50),
                    new SqlParameter("@F_IVRKey", SqlDbType.Int,4),
                    new SqlParameter("@F_WHBDKey", SqlDbType.NChar,10),
                    new SqlParameter("@F_WHWDKey", SqlDbType.NChar,10),
                    new SqlParameter("@F_ZXAtt", SqlDbType.NVarChar,50),
                    new SqlParameter("@F_Des", SqlDbType.NText),
                    new SqlParameter("@F_CreateTime", SqlDbType.DateTime),
                    new SqlParameter("@F_CreateUser", SqlDbType.VarChar,50)};
            parameters[0].Value = model.F_ZXZCode;
            parameters[1].Value = model.F_ZXZName;
            parameters[2].Value = model.F_IVRKey;
            parameters[3].Value = model.F_WHBDKey;
            parameters[4].Value = model.F_WHWDKey;
            parameters[5].Value = model.F_ZXAtt;
            parameters[6].Value = model.F_Des;
            parameters[7].Value = model.F_CreateTime;
            parameters[8].Value = model.F_CreateUser;

            object obj = DbHelperSQL.GetSingle(strSql.ToString(), parameters);
            if (obj == null)
            {
                return 0;
            }
            else
            {
                return Convert.ToInt32(obj);
            }
        }
        /// <summary>
        /// 更新一条数据
        /// </summary>
        public bool Update(RMYY_CallCenter_Api.Model.T_Sys_SeatGroup model)
        {
            StringBuilder strSql = new StringBuilder();
            strSql.Append("update T_Sys_SeatGroup set ");
            strSql.Append("F_ZXZCode=@F_ZXZCode,");
            strSql.Append("F_ZXZName=@F_ZXZName,");
            strSql.Append("F_IVRKey=@F_IVRKey,");
            strSql.Append("F_WHBDKey=@F_WHBDKey,");
            strSql.Append("F_WHWDKey=@F_WHWDKey,");
            strSql.Append("F_ZXAtt=@F_ZXAtt,");
            strSql.Append("F_Des=@F_Des,");
            strSql.Append("F_CreateTime=@F_CreateTime,");
            strSql.Append("F_CreateUser=@F_CreateUser");
            strSql.Append(" where F_ID=@F_ID");
            SqlParameter[] parameters = {
                    new SqlParameter("@F_ZXZCode", SqlDbType.NVarChar,50),
                    new SqlParameter("@F_ZXZName", SqlDbType.NVarChar,50),
                    new SqlParameter("@F_IVRKey", SqlDbType.Int,4),
                    new SqlParameter("@F_WHBDKey", SqlDbType.NChar,10),
                    new SqlParameter("@F_WHWDKey", SqlDbType.NChar,10),
                    new SqlParameter("@F_ZXAtt", SqlDbType.NVarChar,50),
                    new SqlParameter("@F_Des", SqlDbType.NText),
                    new SqlParameter("@F_CreateTime", SqlDbType.DateTime),
                    new SqlParameter("@F_CreateUser", SqlDbType.VarChar,50),
                    new SqlParameter("@F_ID", SqlDbType.Int,4)};
            parameters[0].Value = model.F_ZXZCode;
            parameters[1].Value = model.F_ZXZName;
            parameters[2].Value = model.F_IVRKey;
            parameters[3].Value = model.F_WHBDKey;
            parameters[4].Value = model.F_WHWDKey;
            parameters[5].Value = model.F_ZXAtt;
            parameters[6].Value = model.F_Des;
            parameters[7].Value = model.F_CreateTime;
            parameters[8].Value = model.F_CreateUser;
            parameters[9].Value = model.F_ID;

            int rows = DbHelperSQL.ExecuteSql(strSql.ToString(), parameters);
            if (rows > 0)
            {
                return true;
            }
            else
            {
                return false;
            }
        }

        /// <summary>
        /// 删除一条数据
        /// </summary>
        public bool Delete(int F_ID)
        {

            StringBuilder strSql = new StringBuilder();
            strSql.Append("delete from T_Sys_SeatGroup ");
            strSql.Append(" where F_ID=@F_ID");
            SqlParameter[] parameters = {
                    new SqlParameter("@F_ID", SqlDbType.Int,4)
            };
            parameters[0].Value = F_ID;

            int rows = DbHelperSQL.ExecuteSql(strSql.ToString(), parameters);
            if (rows > 0)
            {
                return true;
            }
            else
            {
                return false;
            }
        }
        /// <summary>
        /// 批量删除数据
        /// </summary>
        public bool DeleteList(string F_IDlist)
        {
            StringBuilder strSql = new StringBuilder();
            strSql.Append("delete from T_Sys_SeatGroup ");
            strSql.Append(" where F_ID in (" + F_IDlist + ")  ");
            int rows = DbHelperSQL.ExecuteSql(strSql.ToString());
            if (rows > 0)
            {
                return true;
            }
            else
            {
                return false;
            }
        }


        /// <summary>
        /// 得到一个对象实体
        /// </summary>
        public RMYY_CallCenter_Api.Model.T_Sys_SeatGroup GetModel(int F_ID)
        {

            StringBuilder strSql = new StringBuilder();
            strSql.Append("select  top 1 F_ID,F_ZXZCode,F_ZXZName,F_IVRKey,F_WHBDKey,F_WHWDKey,F_ZXAtt,F_Des,F_CreateTime,F_CreateUser from T_Sys_SeatGroup with(nolock)");
            strSql.Append(" where F_ID=@F_ID");
            SqlParameter[] parameters = {
                    new SqlParameter("@F_ID", SqlDbType.Int,4)
            };
            parameters[0].Value = F_ID;

            RMYY_CallCenter_Api.Model.T_Sys_SeatGroup model = new RMYY_CallCenter_Api.Model.T_Sys_SeatGroup();
            DataSet ds = DbHelperSQL.Query(strSql.ToString(), parameters);
            if (ds.Tables[0].Rows.Count > 0)
            {
                return DataRowToModel(ds.Tables[0].Rows[0]);
            }
            else
            {
                return null;
            }
        }


        /// <summary>
        /// 得到一个对象实体
        /// </summary>
        public RMYY_CallCenter_Api.Model.T_Sys_SeatGroup DataRowToModel(DataRow row)
        {
            RMYY_CallCenter_Api.Model.T_Sys_SeatGroup model = new RMYY_CallCenter_Api.Model.T_Sys_SeatGroup();
            if (row != null)
            {
                if (row["F_ID"] != null && row["F_ID"].ToString() != "")
                {
                    model.F_ID = int.Parse(row["F_ID"].ToString());
                }
                if (row["F_ZXZCode"] != null)
                {
                    model.F_ZXZCode = row["F_ZXZCode"].ToString();
                }
                if (row["F_ZXZName"] != null)
                {
                    model.F_ZXZName = row["F_ZXZName"].ToString();
                }
                if (row["F_IVRKey"] != null && row["F_IVRKey"].ToString() != "")
                {
                    model.F_IVRKey = int.Parse(row["F_IVRKey"].ToString());
                }
                if (row["F_WHBDKey"] != null)
                {
                    model.F_WHBDKey = row["F_WHBDKey"].ToString();
                }
                if (row["F_WHWDKey"] != null)
                {
                    model.F_WHWDKey = row["F_WHWDKey"].ToString();
                }
                if (row["F_ZXAtt"] != null)
                {
                    model.F_ZXAtt = row["F_ZXAtt"].ToString();
                }
                if (row["F_Des"] != null)
                {
                    model.F_Des = row["F_Des"].ToString();
                }
                if (row["F_CreateTime"] != null && row["F_CreateTime"].ToString() != "")
                {
                    model.F_CreateTime = DateTime.Parse(row["F_CreateTime"].ToString());
                }
                if (row["F_CreateUser"] != null)
                {
                    model.F_CreateUser = row["F_CreateUser"].ToString();
                }
            }
            return model;
        }

        /// <summary>
        /// 获得数据列表
        /// </summary>
        public DataSet GetList(string strWhere)
        {
            StringBuilder strSql = new StringBuilder();
            strSql.Append("select F_ID,F_ZXZCode,F_ZXZName,F_IVRKey,F_WHBDKey,F_WHWDKey,F_ZXAtt,F_Des,F_CreateTime,F_CreateUser ");
            strSql.Append(" FROM T_Sys_SeatGroup with(nolock)");
            if (strWhere.Trim() != "")
            {
                strSql.Append(" where " + strWhere);
            }
            return DbHelperSQL.Query(strSql.ToString());
        }

        /// <summary>
        /// 获得前几行数据
        /// </summary>
        public DataSet GetList(int Top, string strWhere, string filedOrder)
        {
            StringBuilder strSql = new StringBuilder();
            strSql.Append("select ");
            if (Top > 0)
            {
                strSql.Append(" top " + Top.ToString());
            }
            strSql.Append(" F_ID,F_ZXZCode,F_ZXZName,F_IVRKey,F_WHBDKey,F_WHWDKey,F_ZXAtt,F_Des,F_CreateTime,F_CreateUser ");
            strSql.Append(" FROM T_Sys_SeatGroup with(nolock)");
            if (strWhere.Trim() != "")
            {
                strSql.Append(" where " + strWhere);
            }
            strSql.Append(" order by " + filedOrder);
            return DbHelperSQL.Query(strSql.ToString());
        }

        /// <summary>
        /// 获取记录总数
        /// </summary>
        public int GetRecordCount(string strWhere)
        {
            StringBuilder strSql = new StringBuilder();
            strSql.Append("select count(1) FROM T_Sys_SeatGroup with(nolock)");
            if (strWhere.Trim() != "")
            {
                strSql.Append(" where " + strWhere);
            }
            object obj = DbHelperSQL.GetSingle(strSql.ToString());
            if (obj == null)
            {
                return 0;
            }
            else
            {
                return Convert.ToInt32(obj);
            }
        }

        #endregion  BasicMethod
    }
}

